Name:		gammu
Version:        1.11.0
Release:        1%{?dist}
Summary:        Command Line utility to work with mobile phones

Group:          Applications/System
License:        GPL
URL:            http://cihar.com/gammu/
Source0:        ftp://dl.cihar.com/gammu/releases/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	autoconf, gettext
#enabling bluetooth fonction
BuildRequires:	bluez-libs-devel
#enabling mysql sms fonction
BuildRequires:	postgresql-devel, mysql-devel
Requires:       bluez-utils

%package	libs
Summary:	Libraries files for %{name}
Group:		System Environment/Libraries

%package	devel
Summary:	Development files for %{name}	
Group:		Development/Libraries

Requires:	%{name} = %{version}
Requires:	%{name}-libs = %{version}

%description
Gammu is command line utility and library to work with mobile phones
from many vendors.
Support for different models differs, but basic functions should work
with majority of them. Program can work with contacts,
messages (SMS, EMS and MMS), calendar, todos, filesystem,
integrated radio, camera, etc.
It also supports daemon mode to send and receive SMSes.

%description	libs
The %{name}-libs package contains libraries files that used by %{name}

%description	devel
The %{name}-devel  package contains Header and libraries files for
developing applications that use %{name}

%prep
%setup -q


%build
%configure --libdir=%{_libdir}
make shared %{?_smp_mflags}

#fix lines ending 
for docs in \
	docs/develop/{protocol/'*',sounds/*,sms/'*'}	\
	docs/develop/{*.htm,*.txt}			\
	docs/user/'*' ; do
	sed -e 's/\r//' -i $docs
done


%install
rm -rf $RPM_BUILD_ROOT
make installshared DESTDIR=$RPM_BUILD_ROOT

#remove library
rm -f $RPM_BUILD_ROOT%{_libdir}/libGammu.a

#remove default make installed docs
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post -n %{name}-libs -p /sbin/ldconfig

%postun -n %{name}-libs -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog README docs/*
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%files		libs
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files		devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}


%changelog
* Thu May 24 2007 Xavier Lamien < lxtnow[at]gmail.com > - 1.11.0-1
- Updated release.

* Wed May 23 2007 Xavier Lamien < lxtnow[at]gmail.com > - 1.10.6-1
- Updated release.

* Tue May 08 2007 Xavier Lamien < lxtnow[at]gmail.com > - 1.10.0-1
- Initial RPM release.
